"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const curry_1 = require("@typed/curry");
const functions_1 = require("./functions");
var functions_2 = require("./functions");
exports.clone = functions_2.clone;
exports.empty = functions_2.empty;
exports.isSortedMap = functions_2.isSortedMap;
exports.freeze = functions_2.freeze;
exports.isFrozen = functions_2.isFrozen;
exports.fromArray = functions_2.fromArray;
exports.fromIterable = functions_2.fromIterable;
exports.size = functions_2.size;
exports.isEmpty = functions_2.isEmpty;
exports.thaw = functions_2.thaw;
exports.isThawed = functions_2.isThawed;
exports.toArray = functions_2.toArray;
exports.set = curry_1.curry3(functions_1.set);
exports.filter = curry_1.curry2(functions_1.filter);
exports.forEach = curry_1.curry2(functions_1.forEach);
exports.has = curry_1.curry2(functions_1.has);
exports.intersect = curry_1.curry2(functions_1.intersect);
exports.isEqual = curry_1.curry2(functions_1.isEqual);
exports.map = curry_1.curry2(functions_1.map);
exports.reduce = curry_1.curry3(functions_1.reduce);
exports.remove = curry_1.curry2(functions_1.remove);
exports.subtract = curry_1.curry2(functions_1.subtract);
exports.union = curry_1.curry2(functions_1.union);
exports.unwrap = curry_1.curry2(functions_1.unwrap);
exports.update = curry_1.curry2(functions_1.update);

//# sourceMappingURL=curried.js.map
