import { isImmutable } from '@collectable/core';
import { cloneAsMutable, refreeze, isSortedMap } from '../internals';
export function update(callback, map) {
    var immutable = isImmutable(map._owner) && (map = cloneAsMutable(map), true);
    var result = callback(map);
    if (isSortedMap(result))
        map = result;
    return immutable ? refreeze(map) : map;
}

//# sourceMappingURL=update.js.map
