import { SortedMapImpl } from './SortedMap';
import { Entry } from './types';
export declare function iterate<K, V, U>(map: SortedMapImpl<K, V, U>): IterableIterator<Entry<K, V, U>>;
export declare function iterateKeys<K, V, U>(map: SortedMapImpl<K, V, U>): IterableIterator<K>;
export declare function iterateValues<K, V, U>(map: SortedMapImpl<K, V, U>): IterableIterator<V>;
export declare function iteratePairs<K, V, U>(map: SortedMapImpl<K, V, U>): IterableIterator<[K, V]>;
