"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@collectable/core");
const internals_1 = require("../internals");
function update(callback, map) {
    var immutable = core_1.isImmutable(map._owner) && (map = internals_1.cloneAsMutable(map), true);
    var result = callback(map);
    if (internals_1.isSortedMap(result))
        map = result;
    return immutable ? internals_1.refreeze(map) : map;
}
exports.update = update;

//# sourceMappingURL=update.js.map
