import { isImmutable } from '@collectable/core';
import { refreeze, cloneAsMutable, setItem } from '../internals';
export function set(key, value, map) {
    var nextSet = map;
    var immutable = isImmutable(map._owner) && (nextSet = cloneAsMutable(map), true);
    return setItem(key, value, nextSet._keyMap, nextSet._sortedValues, nextSet._select)
        ? immutable ? refreeze(nextSet) : nextSet
        : map;
}

//# sourceMappingURL=set.js.map
